Subject: Re: linux-next: Tree for Mar 25 (arch/x86/kvm/)

From: Sean Christopherson <[email-masked]>
Date: Wed, 25 Mar 2020 09:14:06 -0700

On Wed, Mar 25, 2020 at 05:08:03PM +0100, Paolo Bonzini wrote:
> On 25/03/20 16:57, Randy Dunlap wrote:
> >> Randy, can you test it with your compiler?
> > Nope, no help.  That's the wrong location.
> > Need a patch for this:
> >>> 24 (only showing one of them here) BUILD_BUG() errors in arch/x86/kvm/cpuid.h
> >>> function __cpuid_entry_get_reg(), for the default: case.
> 
> Doh, right.  I think the only solution for that one is to degrade it to
> WARN_ON(1).

I reproduced the error, give me a bit to play with the code to see if the
BUILD_BUG can be preserved.  I'm curious as to why kvm_cpu_cap_mask() is
special, and why it only fails with this config.